$black: #000;
$white: #fff;
$primary: #1a73e8;
$primary-accent: #2767bb;
$warn: #e83f1a;
$warn-accent: #bb3c20;
$very-light-grey: #c7c7c7;
$grey: #757575;

// color schemes
$egyptian-blue: #1b4298;
$tangerine-yellow: #ffca00;
$eclipse: #3e3e3e;
$suva-grey: #939393;
$havelock-blue: #5580dd;
$bittersweet: #ff6666;
$mustard: #fedc59;
$solitude: #e5eaf3;
$alice-blue: #eff4fd;
$pink-swan: #b5b5b5;
$melanzane: #231f21;
$free-speech-blue: #3963bf;
$jordy-blue: #7ea7ff;
$medium-turquoise: #35cccd;
$dark-gray: #a5a5a5;

// fields
$field-border: $havelock-blue;
$field-focus-border: darken($havelock-blue, 10);
$field-error-border: $bittersweet;
$field-border-radius: 4px;
$field-padding: 0 12px;
$field-height: 40px;
$field-font-size: 12px;
$field-placeholder: $suva-grey;
$field-transition-duration: 0.07s;
$field-option-count: 5;
$field-disabled-background: rgba($very-light-grey, 0.15);

// form field
$form-field-label-font-size: 12px;
$form-field-label-color: $field-border;
$form-field-label-margin: 2px;
$form-field-additional-margin: 2px;
$form-field-additional-padding: 0 3px;
$form-field-hint-font-size: 11px;
$form-field-hint-color: $field-border;
$form-field-error-font-size: $form-field-hint-font-size;
$form-field-error-color: $field-error-border;
$form-field-error-label-color: $form-field-error-color;
$form-field-focus-label-color: $field-focus-border;

// buttons
$button-transition-duration: 0.12s;
$button-height: 40px;
$button-border-radius: 20px;
$button-padding: 0 10px;
$button-disabled: $very-light-grey;
$button-primary: $mustard;
$button-primary-hover: darken($mustard, 10);
$button-warn: $bittersweet;
$button-warn-hover: lighten($bittersweet, 10);
$button-font-size: 14px;

// modal
$modal-shadow: 0 3px 12px rgba($black, 0.15);
$modal-cover-background: rgba($black, 0.7);
$modal-header-font-size: 16px;
$modal-header-color: $grey;
$modal-header-height: 60px;
$modal-header-padding: 0 20px;
$modal-body-padding: 0 20px;
$modal-footer-height: 60px;
$modal-footer-padding: 0 20px;
$modal-border-radius: 3px;

// spinner
$spinner-size: 40px;
$spinner-border-top: 3px solid rgba($tangerine-yellow, 0.15);
$spinner-border: 3px solid $tangerine-yellow;
$spinner-rotate-duration: 0.5s;
